package cn.com.ctop.common.module.utils;

import java.util.ArrayList;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author jeecg-boot
 * 2019年12月5日19:57:58
 */
public class StringUtils {
    public static final String COMMA = ",";
    public static ArrayList<String> stringCutFromBrace(String origin) {
        String pattern = "(?<=\\{)(.+?)(?=\\})";
        Pattern p = Pattern.compile(pattern);
        ArrayList list = new ArrayList();
        Matcher m = p.matcher(origin);
        while (m.find()) {
            list.add(m.group());
        }
        return list;
    }
}
